[UPDATE] LEDE 17.01.6 custom builds for TP-LINK WR841N(D) WR941N(D) WR743N(D) WR741N(D) WR740N(D) All Versions

I also wanna say thanks to @xhaka. I understand you're not willing to compile anymore, but I am still working on my "pimp my old device" to 16MB flash and 64MB RAM. The upgrade from 4MB to 16MB worked on one device. I hope it will also for the others. - It would be great to get some pre-build-images for this improved devices!

Maybe someone will also still find a way to bring back the devices in original mode to new life until 5 GHz support is finally proper with other devices in Openwrt. - It's unfortunately still a completly mess with the buggy or even no driver support!

2 Likes

I'm trying to build my own and I need some help with a list of recommended packages.

There's a recommended list like this?

The one that I can't miss is luci-app-ddns. Zram seems to be a recommended one, also.

1 Like

Like @david.lynch , I really need ddns (no-ip) support, right now I'm using LEDE Reboot 17.01.6 Complete because of DDNS, but without IPV6 enabled (I don't use any other services, only the basics, with some firewall rules) ... A "Ultra Lite IPV4 DDNS" new 18.06 version should be great.

1 Like

ddns-scripts_no-ip_com is available in the 17.01 package repo, you can't expect a dedicated image for every single use-case/ package (unless you do it yourself --> imagebuilder). At some point it does make sense to upgrade the hardware to avoid https://openwrt.org/supported_devices/432_warning and gain some headroom for customization, especially with 17.01.x being at the end of its supported life span.

1 Like

IPv6 is not introduced in all countries, and the truth takes up some space (necessary for 4MB flash devices) in OpenWrt. Maybe take some of your ideas and compile some UltraLite based on the current OpenWrt branch; it would only include minimal packages like Zram-Swap, DDNS with support for No-IP and maybe SQM basic scripts...

2 Likes

Hello @xhaka

How are you? It´s been a while since my last post.

Are you still making your builds?
Today i tried to compile a new build, based on v17.01.7.
The files were created, the file size was aparenttly normal but not worked.

The router boot, but looks like that the switch (LAN and WAN) does not turn on.
I used the same .config file from v17.01.6 build.

I have to use failsafe mode to revert the firmware.

Let me know when you make a new build.

Regards,
Juliano

1 Like

Hello.

Recompile everything again and now it worked.

Lede 17.01-snapshot

LuCI Minified (theme material - seems to use less RAM)
Adblock (tiny wget support)
DDNS (with No-IP scripts)
SQM scripts extras
UPnP
IPv6
opkg removed
Removed kernel debugging
Stripped unnecessary exports from the kernel image and unnecessary functions from libraries
Squashfs block size 512 Kb

For those who are interested, it's in my pCloud account.
https://my.pcloud.com/publink/show?code=kZyUXG7ZG3r3PaVUh7QtLYjdunAMp5wbpff7

Juliano

P.S.: Thanks for @xhaka, who teached me how to make these builds.
P.S.2: Sorry for the bad english.

2 Likes

@julianocs

Hello,
You can provide me with the Build Script, I have lost all my information from my PC and I want to compile a version of LEDE 17.0.7 for a colleague.

Thank you

Hello @xhaka

What is your email?
I will send all my material to you.

Juliano

Hello,question to topic creator,did you doing something similar custom LEDE/OpenWrt based firmware only for these WR841/WR941/WR743/WR741N/WR740 with D or you can "bake" and for example to TP-Link TL-WR843N/ND v1 :slight_smile:

Hi ,
These custom builds are compatible with the devices mentioned in their N or ND versions.

I am currently working on a light version of LEDE 17.01.7 & libreCMC that only contain Zram-Swap, SQM-Scripts and in some cases luci-proto-relay (bridge mode protocol)

Coming Soon 2019-07-28

okay then,i can wait till that day,it will be like universal custom Openwrt based firmware?and no fear that can brick mine cheap router?:grin:

What was promised, here they are Custom Builds LEDE v17.01.7 & libreCMC v1,4,5 for..

1 Like

You should consider building from the lede-17.01 branch instead of the .7 tag as a security fix was committed shortly after .7 was released. It's the same fix that made them release 18.06.4 shortly after .3.

Which security fix was that?

in LEDE 17.01.7 i just see couples security fix"es https://openwrt.org/releases/17.01/changelog-17.01.7 after that no more releases with 17.x prefix?

Maybe I've misunderstood but I was under the impression that the kernel was updated to 4.4.184, which was released to fix a problem in the fix for this: https://lwn.net/Articles/791409/

Fixes for CVE-2019-11477/11478/11479 are included in 17.01.7, see
https://openwrt.org/releases/17.01/changelog-17.01.7#security_fixes

Obviously a fix for that fix which wasn't released yet wouldn't be included in that changelog, but I assume what you are alluding to is that the fix for that fix wasn't actually a security fix. It's was still important enough that they released 18.06.4 a few days after 18.06.3, though. https://linuxreviews.org/New_Older_Stable-Branch_Kernels_released_with_Steam_fix:_4.4.184,_4.9.184_and_4.14.131_are_now_available

Thank you very much for your work! It is working correctly on my WR841N v10 as a universal repeater.